#include "cvec.hpp"
#include <math.h>

namespace hr
{
  cvec_t::cvec_t(std::size_t s, base_t v)
  {
    resize(s, v);
  }

  size_t cvec_t::size() const noexcept
  {
    return m_norm.size();
  }

  void cvec_t::resize(std::size_t s, base_t v)
  {
    m_norm.resize(s, v);
    m_phas.resize(s, v);
  }
}
